Retrieves a user timesheet with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_timesheet| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time timesheet FROM |
date |
Required |
| date_to_rounded |
Date+Time timesheet TO |
date |
Required |
| remark |
Additional remark field |
string | |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| db_table_id |
Foreign key to the table timesheet is linked. Can be a jobs,project,company or empty |
globally unique identifier | |
| db_table_name |
Value of the linked table (from db_table_id) |
string | |
| id_in_table |
Foreign key of the object linked. Can be a jobs.id, project.id , company.id or empty |
globally unique identifier |
Optionally required : id_in_table must be provided |
| free_jobs_reference |
In case the user didn’t select a linked object, he can fill himself a reference |
string | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ece3e5d6-1df3-418d-9d99-6a931fbdde3f",
"user_id": "8cf7b183-c1cb-4b68-beb1-da3604771e88",
"hour_type_id": "faaadbd8-5577-4843-9781-fe26e1f7be18",
"date_from_rounded": "2026-11-12T15:57:45.9631461+00:00",
"date_to_rounded": "2026-11-12T15:57:45.9631461+00:00",
"remark": "sample string 6",
"is_approved": true,
"db_table_id": "7e3c3bb0-4580-442b-a27d-d50a6a3fb41a",
"db_table_name": "sample string 9",
"id_in_table": "99ad3e61-da5e-4d77-af01-a52e81c4e6d2",
"free_jobs_reference": "sample string 11",
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-11-12T15:57:45.9631461+00:00"
}